<?php
require_once("config/config.inc.php");
require_once("DbConnection.inc.php");
require_once("KDbTools.inc.php");
require_once("Plugins.inc.php");

CWFTools::replaceHTMLChars($_POST);

include_once(CWF_PATH."plugins/plugins.inc.php");

if ($DB->getConnectionError())
  $menu->setErrorMessage($DB->getConnectionError(), 1);
else if (isset($_SESSION['user']))
  $menu->setErrorMessage(_("You are already logged in."), 1);

if (isset($_POST['reg_finish']) || isset($_POST['kdb_abort'])) {
  $jump2url = $_SESSION['event']->jump2url;

  session_unset();
  session_destroy();

  if ($jump2url)
    header("Location: {$jump2url}");
  else if(ALLOW_USER_LOGIN)
    header("Location: index.php");
  else
    header("Location: ".THIS_FILE);
  exit;
}

if(isset($_GET['event_id']) && $_GET['event_id']) {
  $event = new Event();
  $event->readData($DB, array("event_id"=>"'{$_GET['event_id']}'"));
  $_SESSION['event'] = clone $event;
  if(!$_SESSION['event']->event_id) unset($_SESSION['event']);
}

if(ALLOW_USER_LOGIN || isset($_SESSION['event']))
  $ui = new RegistrationForm($DB);
else if(!isset($_SESSION['event'])) {
  $ui = new EventListUI();
}
?>
