<?php
require_once("../../config/config.inc.php");
require_once("KDbTools.inc.php");
require_once("autoloader.inc.php");
autoloader::init();
require_once(CWF_PATH."admin/EventFormUI.inc.php");
CWFTools::startSession("k_db_admin");
putenv("LC_ALL={$_SESSION['lang']}");
setlocale(LC_ALL, $_SESSION['lang']);
bindtextdomain("default", CWF_PATH."locale");
textdomain("default");
bind_textdomain_codeset("default", "UTF-8");
?>
//<script type="text/javascript">

var feeGroupHeader = '<?=str_replace(array("\r", "\n", "\f"), "", EventFormUI::getHTMLOptionGroupHeader());?>';
var feeGroupFooter = '<?=str_replace(array("\r", "\n", "\f"), "", EventFormUI::getHTMLOptionGroupFooter())?>';
var feeGroup = '<?=str_replace(array("\r", "\n", "\f"), "", EventFormUI::getHTMLOptionGroup())?>';
var eventFee = '<?=str_replace(array("\r", "\n", "\f"), "", EventFormUI::getHTMLEventOption(1))?>';
var addInfo = '<?=str_replace(array("\r", "\n", "\f"), "", EventFormUI::getHTMLEventOption(2))?>';
var deadline = '<?=str_replace(array("\r", "\n", "\f"), "", EventFormUI::getHTMLFee())?>';

function kdbAddOptionGroup(dialog) {
  var currentID;
  if($('.kdb_option_group:last *[name^="required"]').length>0)
    currentID = parseInt($('.kdb_option_group:last *[name^="required"]').attr("name").replace(/^.*\[([0-9]+)\]$/, "$1"));
  else
    currentID = -1;

  switch($('#dialog_option_group_type', dialog).val()) {
    case "1":
      if($('#dialog_exclusive', dialog).attr("checked")=="checked")
        $('#kdb_event_fees').append((feeGroupHeader+feeGroup+eventFee+feeGroupFooter.replace(/\$type\$/, "1")).replace(/((name|id)="([^"]*?))\[\]/g, "$1["+(currentID+1)+"]").replace(/\[\]/g, "[0]"));
      else
        $('#kdb_event_fees').append((feeGroupHeader+feeGroup+eventFee.replace(/radio/g, "checkbox")+feeGroupFooter.replace(/\$type\$/, "1")).replace(/((name|id)="([^"]*?))\[\]/g, "$1["+(currentID+1)+"]").replace(/\[\]/g, "[0]"));
      $('.kdb_option_group:last *[name^="allow_changes"]').attr("disabled","disabled");
      break;
    case "2":
      $('#kdb_event_fees').append((feeGroupHeader+feeGroup+addInfo+feeGroupFooter.replace(/\$type\$/, "2")).replace(/((name|id)="([^"]*?))\[\]/g, "$1["+(currentID+1)+"]").replace(/\[\]/g, "[0]"));
      $('.kdb_option_group:last *[name^="exclusive"]').attr("disabled","disabled");
      break;
  }
  if($('#dialog_option_group_type', dialog).val()>0) {
    $('.kdb_option_group:last *[name^="group_name"]').val($('#dialog_option_group_name', dialog).val());
    $('.kdb_option_group:last *[name^="group_type"]').val($('#dialog_option_group_type', dialog).val());
    $('.kdb_option_group:last *[name^="group_type_display"]').val($('#dialog_option_group_type', dialog).val());
    if ($('#dialog_exclusive:checked', dialog).length>0) {
      $('.kdb_option_group:last *[name^="exclusive"]').attr("checked","checked");
    }
    else {
      $('.kdb_option_group:last *[name^="exclusive"]').removeAttr('checked');
    }
    if ($('#dialog_allow_changes:checked', dialog).length>0) {
      $('.kdb_option_group:last *[name^="allow_changes"]').attr("checked","checked");
    }
    else {
      $('.kdb_option_group:last *[name^="allow_changes"]').removeAttr('checked');
    }
  }
  setupTooltips();
  setupShowWarning();
  kdbHideDialog();
}

function kdbAddOption(element, type) {
  var currentID = $('*[name^="event_option_id"]:last', element.closest(".kdb_option_group_details")).attr("name").replace(/^.*\[([0-9]+)\]\[([0-9]+)\]$/, "$1 $2").split(" ");
  currentID[1] = parseInt(currentID[1]);
  
  switch (type) {
    case 1:
      var exclusive = ($('*[name^="exclusive"]', element.closest(".kdb_option_group_details")).attr("checked")=="checked");
      if (exclusive=="1")
        element.before(eventFee.replace(/((name|id)="([^"]*?))\[\]\[\]/g, "$1["+(currentID[0])+"]["+(currentID[1]+1)+"]").replace(/\[\]/g, "[0]"));
      else
        element.before(eventFee.replace(/((name|id)="([^"]*?))\[\]\[\]/g, "$1["+(currentID[0])+"]["+(currentID[1]+1)+"]").replace(/\[\]/g, "[0]").replace(/radio/g, "checkbox"));
      break;
    case 2:
      element.before(addInfo.replace(/((name|id)="([^"]*?))\[\]\[\]/g, "$1["+(currentID[0])+"]["+(currentID[1]+1)+"]").replace(/\[\]/g, "[0]"));
      break;
  }
}

function kdbDeadlineAdd(element) {
  var currentID = $('*[name^="event_fee_id"]', element.closest("div")).attr("name").replace(/^.*\[([0-9]+)\]\[([0-9]+)\]\[([0-9]+)\]$/, "$1 $2 $3").split(" ");
  var exclusive = ($('*[name^="exclusive"]', element.closest(".kdb_option_group_details")).attr("checked")=="checked");
  currentID[2] = parseInt(currentID[2]);
  
  if (exclusive=="1")
    element.closest(".kdb_fee_details").append(deadline.replace(/((name|id)="([^"]*?))(\[\]){3}/g, "$1["+(currentID[0])+"]["+(currentID[1])+"]["+(currentID[2]+1)+"]"));
  else
    element.closest(".kdb_fee_details").append(deadline.replace(/radio/g, "checkbox").replace(/((name|id)="([^"]*?))(\[\]){3}/g, "$1["+(currentID[0])+"]["+(currentID[1])+"]["+(currentID[2]+1)+"]"));
  element.remove();
}

function kdbDeadlineDel(element) {
  var parentFeeDetails = element.closest(".kdb_fee_details");

  var groupType = element.closest('.kdb_option_group').find('*[name^=group_type]').val();
  switch (groupType) {
    case "<?=OPTION_GROUP_FEE ?>":
      if(element.closest('.kdb_deadline').find('*[name^=event_fee_id]').val() && 
         !confirm('<?=_('Do you really want to delete this fee? Warning: All bookings of this fee will be permanently deleted as well!');?>')) return;
      break;
    case "<?=OPTION_GROUP_ADDINFO ?>":
      if(element.closest('.kdb_eventoption').find('*[name^=event_option_id]').val() && 
         !confirm('<?=_('Do you really want to delete this item? Warning: All data submitted by users for this item will be permanently deleted as well!');?>')) return;
      break;
  }
  
  if($('> div', parentFeeDetails).length==1) {
    if($('.kdb_eventoption', parentFeeDetails.closest(".kdb_option_group_details")).length==1)
      parentFeeDetails.closest(".kdb_option_group").remove();
    else
      parentFeeDetails.closest(".kdb_eventoption").remove();
  }
  else {
    if(element.closest("div").find('button').length==2) {
      element.closest("div").remove();
      $('div:last', parentFeeDetails).append('<button onClick="kdbDeadlineAdd($(this));" type="button"><img src="../../k_db/img/icons/add.png" alt="New" height="12" width="12"></button>');
    }
    else
      element.closest("div").remove();
  }
}

function kdbShowAddInfo(element) {
  $groupConfig = element.closest(".kdb_option_group_details").find('.kdb_option_group_config');
  if($groupConfig.hasClass('visible')) {
  	element.removeClass('add_info_open');
    $groupConfig.removeClass('visible');
    $groupConfig.hide();
  }
  else { 
  	element.addClass('add_info_open');
    $groupConfig.addClass('visible');
    $groupConfig.show();
  }
}

function kdbHideDialog() {
  $('#dialog_option_group input').each(function(index){
  	if($(this).attr('type')=='checkbox') {
      $(this).removeAttr('checked').attr("disabled","disabled");
  	}
    else if($(this).attr('type')!='button') 
      $(this).val('');}
  );
  $('#dialog_option_group select').val('');
  $('#dialog_option_group').hide();
  $('#dialog_option_group .dialog_preview div').hide();
  $('#dialog_option_group .dialog_preview #dialog_'+$('option:selected', this).text().toLowerCase().replace(/ /, '_')+'_preview').show();
  $('#dialog_option_group .dialog_preview #dialog_option_group_name_preview').text(""); 
}

function kdbShowPanel(panel) {
  $('#side_panel_content *', panel).remove();
  $('.kdb_option_group *[name^="group_name"]').each(function(index) {
      groupIdx = $(this).attr("name").replace(/^group_name/, '');
      groupType = $('.kdb_option_group *[name="group_type'+groupIdx+'"]').val();
      groupExclusive = ($('.kdb_option_group *[name="exclusive'+groupIdx+'"]').attr("checked")=="checked");
  	  $('#side_panel_content', panel).append('<h3>'+$(this).val()+'</h3>');
  	  $('.kdb_option_group *[name^="event_option'+groupIdx+'"]').each(function(index) {
          optionIdx = $(this).attr("name").replace(/^event_option/, '');
    	  switch(groupType) {
    	    case "<?=OPTION_GROUP_FEE ?>":
        	  $('#side_panel_content', panel).append('<p><label>'+$(this).val()+'</label>'+    	  
    	                                             '<input type="'+((groupExclusive=="1")?"radio":"checkbox")+'">'+  	  
    	                                             '<span class="form_element"><?=CURRENCY?> '+$('.kdb_option_group *[name^="event_fee'+optionIdx+'"]:first').val()+'.--</span></p>');
    	      break;
    	    case "<?=OPTION_GROUP_ADDINFO ?>":
      	      optionType = $('.kdb_option_group *[name^="option_type'+optionIdx+'"] option:selected').val();
      	      switch(optionType) {
      	        case "<?=EVENT_OPTION_TEXT ?>": $('#side_panel_content', panel).append('<p><label>'+$(this).val()+':</label><input type="text"></p>'); break;
      	        case "<?=EVENT_OPTION_TEXT_MULTILINE ?>": $('#side_panel_content', panel).append('<p><label>'+$(this).val()+':</label><textarea></textarea></p>'); break;
      	        case "<?=EVENT_OPTION_DATE ?>": $('#side_panel_content', panel).append('<p><label>'+$(this).val()+':</label><input type="text"></p>'); break;
      	        case "<?=EVENT_OPTION_NUMBER_INT ?>": $('#side_panel_content', panel).append('<p><label>'+$(this).val()+':</label><input type="text"></p>'); break;
      	        case "<?=EVENT_OPTION_NUMBER_DEC ?>": $('#side_panel_content', panel).append('<p><label>'+$(this).val()+':</label><input type="text"></p>'); break;
      	      }
    	      break;
    	  }    	  
  	    });
    });
  panel.animate({right:'-5px'}, 500);
}

function kdbChangeExclusive(item) {
  if(item.attr('checked')) {
    item.closest('.kdb_option_group_details').find('input[name=dummy]').after('<input type="radio" name="dummy" value="1" disabled>').remove();
  }
  else
    item.closest('.kdb_option_group_details').find('input[name=dummy]').after('<input type="checkbox" name="dummy" value="1" disabled>').remove();
}

function setupShowWarning() {
  if($('.kdb_option_group input[name^=required]').length>0) {
    if($('.kdb_option_group input[name^=required]:checked').length>0)
      $('#kdb_required_warning').hide(300);
    else
      $('#kdb_required_warning').show(300);
  }
  $('.kdb_option_group input[name^=required]').change(function() {
    if($('.kdb_option_group input[name^=required]:checked').length>0)
      $('#kdb_required_warning').hide(300);
    else
      $('#kdb_required_warning').show(300);
  });
}

function kdbResetFeeIds() {
  $('#kdb_event_fees input[name*="_id["]').val("");
  setupTooltips();
}

function kdbEventFormCopy(formElement) {
  var id = $(formElement).closest('form').find('#dialog_event_list').val(); 
  ajaxSendRequest(ajaxLoadData, $('#kdb_form'), {"action": "updateForm", "id": id, "className": "EventFormUI", "formName": "kdb_form"}, kdbResetFeeIds);
}

function kdbShowCopyDialog() {
  var feeIdsExist = $('*[name^=event_fee_id][value!=""]').length;
  if(feeIdsExist>0 && 
     !confirm('<?=_('Do you really want to copy the form from another event? Warning: All bookings for this event will be permanently deleted!');?>')) 
    return;

  $('#dialog_copy_form').show(); 
}

$(document).ready(function() {
  $("#side_panel").hoverIntent(function(){
      kdbShowPanel($(this));
    },
    function(){
      $(this).animate({right:'-470px'}, 500);
    });

  $('#dialog_option_group .dialog #dialog_option_group_type').change(function() {
    if($(this).val()==1) {
      $('#dialog_option_group .dialog #dialog_exclusive').removeAttr('disabled');
      $('#dialog_option_group .dialog #dialog_allow_changes').attr("disabled","disabled").removeAttr("checked");
    }
    else if($(this).val()==2) {
      $('#dialog_option_group .dialog #dialog_exclusive').attr("disabled","disabled").removeAttr("checked");
      $('#dialog_option_group .dialog #dialog_allow_changes').removeAttr('disabled');
    }
    else {
      $('#dialog_option_group .dialog #dialog_exclusive').attr("disabled","disabled").removeAttr("checked");
      $('#dialog_option_group .dialog #dialog_allow_changes').attr("disabled","disabled").removeAttr("checked");
    }
    options = new Array('event_fee', 'additional_information');
    $('#dialog_option_group .dialog_preview div').hide();
    $('#dialog_option_group .dialog_preview #dialog_'+options[$('option:selected', this).val()-1]+'_preview').show();
  });
  
  $('#dialog_option_group .dialog #dialog_option_group_name').keyup(function() { 
    $('#'+$(this).attr('id')+'_preview').text($(this).val()); 
  });

  $('#dialog_option_group .dialog #dialog_exclusive').change(function() {
    if($('#dialog_option_group .dialog #dialog_exclusive:checked').length>0)
      $('#dialog_option_group .dialog_preview input:checkbox').after('<input type="radio" name="'+this.name+'" value="1" disabled>').remove();
    else 
      $('#dialog_option_group .dialog_preview input:radio').after('<input type="checkbox" name="'+this.name+'" value="1" disabled>').remove();
  });
  
  setupShowWarning();
});


//</script>